package project;

import exceptions.BidBelowZeroException;

public class AuctionManager {

	private Auction auction;

	public AuctionManager() {

		this.auction = new Auction();
		
	}

	public void setAuction(Auction a) {

		this.auction = a;

	}

	public static AuctionManager getInstance() {

		return new AuctionManager();

	}

	public boolean placeBid(User user, int value) throws BidBelowZeroException {

		if (value < 1) {

			throw new BidBelowZeroException();

		} else if (value > 1) {

			auction.incrementPrice(value);
			auction.setCurrentLeader(user);

			return true;

		}

		return false;

	}

	public void computePrice(int value) {

	}

}
