package project;

import java.util.ArrayList;

public class Category {

	public static ArrayList<Category> categories = new ArrayList<Category>();

	private static int idCounter;

	private String description;
	private int categoryId;

	public Category() {

	}

	public Category(String descr) {

		this.description = descr;
		this.categoryId = idCounter++;

		categories.add(this);

	}

	public static Category getCategory(String categoryDescription) {

		for (Category c : categories) {

			if (c.description.equals(categoryDescription)) {

				return c;

			}

		}

		return null;
	}

	public static Category getCategory(int catId) {

		for (Category c : categories) {

			if (c.categoryId == catId) {

				return c;

			}

		}

		return null;
	}

}
